INTEL_SANITIZE_ENABL(9)

NAME
intel_sanitize_enable_execlists - sanitize i915.enable_execlists

SYNOPSIS

int intel_sanitize_enable_execlists(struct drm_device * dev, int enable_execlists);

ARGUMENTS

dev
    DRM device.

enable_execlists
    value of i915.enable_execlists module parameter.

DESCRIPTION

Only certain platforms support Execlists (the prerequisites being support for Logical Ring Contexts and Aliasing PPGTT or better), and only when enabled via module parameter.

RETURN

1 if Execlists is supported and has to be enabled.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT